Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Help me,I can not update or install any software

  1. #1

    Exclamation Help me,I can not update or install any software

    I have an urgent problem.
    I use Yast 2 to install some software,but there is a big problem,I can not install any software,even I choose the Repository-- DVD-Opensuse 11.0.
    I delete all the Repositories,but then I can not add any Repositories.can somebody help me?

    The Yast tell me that:

    -Can't copy /var/adm/mount/AP_0x00000004/media.1/media to /var/cache/zypp/raw/Main Repository(OSS)OymmF2
    -can't provide /media.1/media: Can't copy /var/adm/mount/AP_0x00000004/media.1/media to /var/cache/zypp/raw/Main Repository(OSS)OymmF2


    'Updates_for_11.0': can not found valid metadata on the specific URL.
    History:
    - Can't copy /var/adm/mount/AP_0x00000004/repodata/repomd.xml.asc to /var/cache/zypp/raw/Updates_for_11.06kCBny
    - Can't provide /repodata/repomd.xml.asc : Can't copy /var/adm/mount/AP_0x00000004/repodata/repomd.xml.asc to /var/cache/zypp/raw/Updates_for_11.06kCBny


    Now I cannot add any Repositories,when i wan to add a Repository ,Yast tell me cannot copy some data.

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Help me,I can not update or install any software

    try using zypper from a terminal as su

    Zypper/Usage/11.0 - openSUSE

    or in a terminal to read the manual
    man zypper

    I would see what repos you have by:
    zypper lr

    manage it that way, you may have to delete and replace
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3

    Default Re: Help me,I can not update or install any software

    When I wanted to add the repository the URL: http://download.opensuse.org/update/11.0/,this mistake happened .
    There was an error in the repository initialization.
    'Updates_for_11.0': Valid metadata not found at specified URL(s)
    History:
    - Can't copy /var/adm/mount/AP_0x00000004/repodata/repomd.xml.asc to /var/cache/zypp/raw/Updates_for_11.01ZRKTh
    - Can't provide /repodata/repomd.xml.asc : Can't copy /var/adm/mount/AP_0x00000004/repodata/repomd.xml.asc to /var/cache/zypp/raw/Updates_for_11.01ZRKTh

    Then I tried the repositories :
    . Index of /distribution/11.0/repo/non-oss/suse
    • Index of /distribution/11.0/repo/oss
    These two repositories also couldn't be added.


    And then I find all the repositories can not be added,included the the repository--openSUSE-DVD 11.0 .
    When I wanted to add the repositorypensSUSE-DVD_11.0,the mistake below happened.
    Unable to save changes to the repository configuration.
    Details:
    opensSUSE-DVD_11.0: Valid metadata not found at specified URL(s)
    History:
    - Can't copy /media/SU1100.001/media.1/media to /var/cache/zypp/raw/openSUSE-DVD_11.0WenE3y
    -can't provide /media.1/media:Can't copy /media/SU1100.001/media.1/media to /var/cache/zypp/raw/openSUSE-DVD_11.0WenE3y

    Can anybody help ??

  4. #4
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Help me,I can not update or install any software

    In a terminal type

    zypper lr -u

    and paste here, it will tell us if you any repo's in your list
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  5. #5

    Default Re: Help me,I can not update or install any software

    linux-g73g:~ # zypper lr -u
    No repositories defined. Use the 'zypper addrepo' command to add one or more repositories.

  6. #6

    Default Re: Help me,I can not update or install any software

    Now I can not install any software by using Yast2.
    I can not add any Repositories.

  7. #7
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Help me,I can not update or install any software

    in terminal as su

    zypper ar Index of /distribution/11.0/repo/oss

    next

    zypper ar Index of /distribution/11.0/repo/non-oss

    then

    zypper ar Index of /update/11.0


    next do this

    zypper refresh

    and

    zypper update
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  8. #8

    Default Re: Help me,I can not update or install any software

    When I do as what you tell me:
    linux-g73g:~ # zypper refresh

    There is the result:

    Downloading repository 'Updates for 11.0' metadata [error]
    Repository 'Updates for 11.0' is invalid.
    Can't provide /repodata/repomd.xml.asc : Can't copy /var/adm/mount/AP_0x00000004/repodata/repomd.xml.asc to /var/cache/zypp/raw/Updates_for_11.0Oi6zWq
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'Updates for 11.0' because of the above error.
    Could not refresh the repositories because of errors.

  9. #9

    Default Re: Help me,I can not update or install any software

    linux-g73g:~ # zypper update

    The result is that:

    Downloading repository 'Updates for 11.0' metadata [error]
    Repository 'Updates for 11.0' is invalid.
    Can't provide /repodata/repomd.xml.asc : Can't copy /var/adm/mount/AP_0x00000004/repodata/repomd.xml.asc to /var/cache/zypp/raw/Updates_for_11.05uezqh
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Warning: Disabling repository 'Updates for 11.0' because of the above error.
    Reading installed packages...
    Nothing to do.

  10. #10

    Default Re: Help me,I can not update or install any software

    I feel so confused about this problem.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •